package com.ghy.order.service;

import com.ghy.order.domain.OrderAddSubtract;

import java.util.List;

public interface IOrderAddSubtractService {

    int insert(OrderAddSubtract o);

    int update(OrderAddSubtract o);

    List<OrderAddSubtract> select(OrderAddSubtract o);

    List<OrderAddSubtract> selectByOrderDetail(Long orderDetailId);

    OrderAddSubtract selectById(Long id);

    /**
     * 更新支付信息
     *
     * @param id        OrderAddSubtract ID
     * @param paymentId 支付ID
     * @param payStatus 支付状态
     * @return 1
     */
    int updatePay(Long id, String paymentId, Integer payStatus);
}
